Author Topic: [TFTD] [Expansion] TWoTS+ Release (v.2.47)  (Read 196072 times)

Online tarkalak

  • Commander
  • *****
  • Posts: 778
    • View Profile
Re: [TFTD] [Expansion] TWoTS+ Release (v.2.47)
« Reply #1695 on: September 03, 2020, 11:23:48 pm »
This is indeed baffling.
Maybe modern games are just too easy...

Wait, you mean, there *are* other difficulties?

Offline Nord

  • Commander
  • *****
  • Posts: 1203
  • The Gate will open... someday.
    • View Profile
Re: [TFTD] [Expansion] TWoTS+ Release (v.2.47)
« Reply #1696 on: September 04, 2020, 02:23:22 am »
Mod content is complete. Updates are possible if someone find a serious bug.

Offline ghostknife

  • Sergeant
  • **
  • Posts: 11
    • View Profile
Re: [TFTD] [Expansion] TWoTS+ Release (v.2.47)
« Reply #1697 on: September 07, 2020, 08:56:20 pm »
Hi,

I am running twots 2.47 and OXCE 5.6.3.
A Dreadnought full of Advanced Aquatoids came to attack one of my bases, but as they arrived the game crashed and gave the following error message:
'could not place items on given tiles in storage facility STR_SUB_PEN'
Let me know if you want the log file or a saved game.

Thanks

Peter

Offline Meridian

  • Global Moderator
  • Commander
  • *****
  • Posts: 6380
  • Aaand we're back!
    • View Profile
    • My Wiki
Re: [TFTD] [Expansion] TWoTS+ Release (v.2.47)
« Reply #1698 on: September 07, 2020, 09:26:01 pm »
Yes, please provide both the full log (not just the error message lines) and the save file.

If you don't have the log anymore, a save will probably be enough.

UPDATE: my guess would be a broken OXCE installation:  .exe file from v6.5.3 but data files from v6.6
« Last Edit: September 07, 2020, 09:40:12 pm by Meridian »

Offline ghostknife

  • Sergeant
  • **
  • Posts: 11
    • View Profile
Re: [TFTD] [Expansion] TWoTS+ Release (v.2.47)
« Reply #1699 on: September 08, 2020, 01:19:37 am »
I see - that makes sense, as the last thing I did to the game before this happened was try to update to OXCE 6.6, which I couldn’t get to work.
Is 6.6 compatible with Twots 2.47?
If not, I will make sure all the OXCE files are 5.6.3 and see if that fixes it.
Thanks

Offline Meridian

  • Global Moderator
  • Commander
  • *****
  • Posts: 6380
  • Aaand we're back!
    • View Profile
    • My Wiki
Re: [TFTD] [Expansion] TWoTS+ Release (v.2.47)
« Reply #1700 on: September 08, 2020, 09:03:38 am »

Offline ghostknife

  • Sergeant
  • **
  • Posts: 11
    • View Profile
Re: [TFTD] [Expansion] TWoTS+ Release (v.2.47)
« Reply #1701 on: September 08, 2020, 03:38:56 pm »
You were right - I have rolled back all OXCE files to 6.5.3 and now it all works fine. 

Do you have any plans to make Twots 2.47 compatible with OXCE 6.6, or is that the end for now?

Is there some kind of warning for new users about this incompatability? When you go to the OXCE download page people are most likely to go straight for the latest 6.6 version and then run into problems.

Thanks for your help.

Offline Meridian

  • Global Moderator
  • Commander
  • *****
  • Posts: 6380
  • Aaand we're back!
    • View Profile
    • My Wiki
Re: [TFTD] [Expansion] TWoTS+ Release (v.2.47)
« Reply #1702 on: September 08, 2020, 04:11:21 pm »
Do you have any plans to make Twots 2.47 compatible with OXCE 6.6, or is that the end for now?

I'm not the mod author, but I assume Nord will update it sooner or later.

Is there some kind of warning for new users about this incompatability? When you go to the OXCE download page people are most likely to go straight for the latest 6.6 version and then run into problems.

TWoTS comes pre-packaged with OXCE v6.5.3, that's the best we can do.

OXCE cannot guarantee backwards-compatibility (with incorrect things that we are trying to fix) and at the same time help modders by validating the ruleset preventing errors and runtime crashes. It's one or another. Validation has a bigger priority and benefits in our eyes.

Mods also cannot guarantee future-compatibility with all OXCE versions, for the same reason.
« Last Edit: September 08, 2020, 04:13:57 pm by Meridian »

Offline Nord

  • Commander
  • *****
  • Posts: 1203
  • The Gate will open... someday.
    • View Profile
Re: [TFTD] [Expansion] TWoTS+ Release (v.2.47)
« Reply #1703 on: September 09, 2020, 03:45:33 am »
Do you have any plans to make Twots 2.47 compatible with OXCE 6.6, or is that the end for now?
Sorry, my internet connection does not allow to download more than 3-4 MB at once, so i can not acquire newest OXCE. Maybe later.

Offline kanryu

  • Squaddie
  • *
  • Posts: 2
    • View Profile
Re: [TFTD] [Expansion] TWoTS+ Release (v.2.47)
« Reply #1704 on: September 18, 2020, 12:34:45 am »
Hi everyone!, first of all i have to say that my english isn't my first language so i apologies if something doesn't make sense.

The thing is that i was playing TWOTS mod for several days in the OXCE 6.5.1 and it is a fantastic mod but i already experience 2 errors that crash my game  the first one was when i shoot down a very big alien ship i think it was the dreadnought , whenever i wanted to do the mission on the crashed USO i get a message saying a archive was not found and it closes my game so i decided to keep playing  and not doing that mission. The second one is a more recent one , i fought with to what it looked like a kraken-ish tipe of submarine (in the display picture it look like a mouth  and tentacles) and when i shooted down and wanted to do the mission the crash happen and in the message say this   "Alien deployment STR_HOR1 not found". i update it to OXCE 6.5.3 and the error persist, i got the 2.47 version of the mod. if anyone can help i would really apreciate it

Offline Nord

  • Commander
  • *****
  • Posts: 1203
  • The Gate will open... someday.
    • View Profile
Re: [TFTD] [Expansion] TWoTS+ Release (v.2.47)
« Reply #1705 on: September 21, 2020, 04:30:52 am »
The thing is that i was playing TWOTS mod for several days in the OXCE 6.5.1 and it is a fantastic mod but i already experience 2 errors that crash my game  the first one was when i shoot down a very big alien ship i think it was the dreadnought , whenever i wanted to do the mission on the crashed USO i get a message saying a archive was not found and it closes my game so i decided to keep playing  and not doing that mission.
Strange. No savegame left?
Quote
The second one is a more recent one , i fought with to what it looked like a kraken-ish tipe of submarine (in the display picture it look like a mouth  and tentacles) and when i shooted down and wanted to do the mission the crash happen and in the message say this   "Alien deployment STR_HOR1 not found". i update it to OXCE 6.5.3 and the error persist, i got the 2.47 version of the mod. if anyone can help i would really apreciate it
Yes, in OXCE 6.5.3 you can not shot down horrific creatures, only destroy it. Now you can ignore this mission, and i will fix it soon.

Also, to those who encounter crash at martian battleship mission, please replace this file in a mod.
http://www.mediafire.com/file/eumy1q5r0wsa4oy/alienDeployments.rul/file